Name:		akonadi-google
Version:	0.2
Release:	11.20120121gitbe021c6%{?dist}
Summary:	Akonadi Resources for accessing Google services

License:	GPLv3
URL:		http://projects.kde.org/akonadi-google

# Package from git snapshots, create example:
# git clone git://anongit.kde.org/akonadi-google
# cd akonadi-google
# git archive \\
# 	--format=tar.gz \\
#	--prefix=akonadi-google/ \\
#	-o ../akonadi-google-0.2-git754771b.tar.gz \\
#	master
Source0:	akonadi-google-0.2-gitbe021c6.tar.gz

BuildRequires:	cmake 
BuildRequires:	qt-devel 
BuildRequires:	kdepimlibs-devel 
BuildRequires:	kdelibs-devel 
BuildRequires:	akonadi-devel 
BuildRequires:	qjson-devel
BuildRequires:	libxslt-devel

Requires:	libkgoogle = %{version}-%{release}
Requires:	%{name}-calendar = %{version}-%{release}
Requires:	%{name}-contacts = %{version}-%{release}
Requires:	%{name}-tasks = %{version}-%{release}

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Akonadi Resources for accessing Google services, like Google Calendar, Google
Tasks and Google Contacts.


%package -n libkgoogle
Summary: Library to access to Google services
Group: System Environment/Libraries
%description -n libkgoogle
%{summary}.

%package -n libkgoogle-devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: libkgoogle = %{version}-%{release}
%description -n libkgoogle-devel
Libraries and header files for developing applications that use %{name}.

%package calendar
Summary: Akonadi resource for Google Calendar
Requires: libkgoogle = %{version}-%{release}
%description calendar
%{summary}.

%package contacts
Summary: Akonadi resource for Google Contacts
Requires: libkgoogle = %{version}-%{release}
%description contacts
%{summary}.

%package tasks
Summary: Akonadi resource for Google Tasks
Requires: libkgoogle = %{version}-%{release}
%description tasks
%{summary}.

%prep
%setup -q -n %{name}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -n libkgoogle -p /sbin/ldconfig

%postun -n libkgoogle -p /sbin/ldconfig

%files

%files -n libkgoogle
%doc README TODO CHANGELOG LICENSE
%{_libdir}/libkgoogle.so.0*

%files -n libkgoogle-devel
%{_kde4_includedir}/libkgoogle/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/kde4/apps/cmake/modules/FindLibKGoogle.cmake

%files calendar
%{_bindir}/akonadi_googlecalendar*
%{_datadir}/akonadi/agents/googlecalendarresource.desktop

%files contacts
%{_bindir}/akonadi_googlecontacts*
%{_datadir}/akonadi/agents/googlecontactsresource.desktop

%files tasks
%{_bindir}/akonadi_googletasks*
%{_datadir}/akonadi/agents/googletasksresource.desktop

%changelog
* Wed Jan 20 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-11.20120121gitbe021c6
- Update to git snapshot be021c6f12e6804976dcac203a1864686a219c26

* Wed Jan 20 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-10.20120120git11bf6ad
- Update spec file follow comment 1:
https://bugzilla.redhat.com/show_bug.cgi?id=783317#c1
- Update to git snapshot 11bf6ad40dd93eda1f880a99d592009ea3ff47ac
- Include LICENSE

* Thu Jan 19 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-9.20120119git754771b
- Create spec file for Fedora Review
- Source package create from git snapshot 754771b6081b194aedf750fac76a9af2709a5de3

* Wed Nov 16 2011 Dan Vratil <dan@progdan.cz> 0.2-8.1
- Initial SPEC
